Subject: bug#32215: 27.0.50; Minibuffer completion fails with /~<partial-name>

From: Stephen Berman <[email-masked]>
Date: Fri, 20 Jul 2018 19:30:52 +0200

On Fri, 20 Jul 2018 20:22:27 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 20 Jul 2018 17:08:39 +0200
>> 
>> > Ah, I think I understand why I couldn't reproduce the problem: it
>> > seems to only happen if default-directory is "~/" before starting the
>> > recipe.  If it is something else, the problem doesn't happen.  Can you
>> > confirm?
>> 
>> I'm afraid not:
>> 
>> 0. emacs -Q
>> 1. M-x cd RET /tmp/ RET
>> 2. C-x d /~s TAB
>> 
>> results in this minibuffer display:
>> 
>> Dired (directory): /tmp//~s█[No match]
>
> Try a subdirectory of your home directory.

Perhaps I'm misunderstanding what you're suggesting, but with the
following I still get the same behavior:

0. emacs -Q
1. M-x cd RET ~/Downloads/ RET
2. C-x d /~s TAB

results in this minibuffer display:

Dired (directory): ~/Downloads//~s█[No match]

Steve Berman